Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037849
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-02-07 11:352018-02-22 18:19
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision2615e116021b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037849: Remove system key hash in log files as not useful and makes log-parsing harder

DescriptionCurrently there is special code automatically adding a new first field to any line in openbravo.log file.

Example:
ef97dd76 2018-02-05 14:00:18,758 [http-thread-pool-threads - 70] INFO
^ ^ ^

That shows in logfiles that the instance in activated and in theory could be used to identify the license used.

However that info is easily available by other means (in the application, database query, etc...)

Having that extra field make log-parsing harder as it is non-standard + also not even present always. As first few lines during openbravo start do not have it yet and only then it is added.

Apart having that extra custom logic to runtime-reconfigure log4j might make updating the library harder.
Steps To Reproduce-
Proposed SolutionRemove that feature.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0036162 acknowledgedplatform clean up openbravo.log 

-  Notes
(0102268)
hgbot (developer)
2018-02-08 08:29

Repository: erp/devel/pi
Changeset: 2615e116021b412fb4a91e0ef5109688a35ca39b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 08 08:28:54 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2615e116021b412fb4a91e0ef5109688a35ca39b [^]

fixed issue 37849: remove system key hash in log files

  This hash has been removed as it is not useful and complicates log parsing

---
M src/org/openbravo/erpCommon/obps/ActivationKey.java
---
(0102269)
hgbot (developer)
2018-02-08 09:25

Repository: erp/devel/pi
Changeset: 17c6f2da95962644832ef41e6bc8b28f41f8ea81
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 08 09:25:40 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/17c6f2da95962644832ef41e6bc8b28f41f8ea81 [^]

realted to issue 37849: remove system key hash in log files

  Restored ActivationKey.getOpsLogId method as it is public and used

---
M src/org/openbravo/erpCommon/obps/ActivationKey.java
---
(0102337)
caristu (developer)
2018-02-12 16:42

Code reviewed + tested
(0102732)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102733)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-07 11:35 shuehner New Issue
2018-02-07 11:35 shuehner Assigned To => platform
2018-02-07 11:35 shuehner Modules => Core
2018-02-07 11:35 shuehner Triggers an Emergency Pack => No
2018-02-08 08:14 alostale Relationship added related to 0036162
2018-02-08 08:29 alostale Assigned To platform => alostale
2018-02-08 08:29 hgbot Checkin
2018-02-08 08:29 hgbot Note Added: 0102268
2018-02-08 08:29 hgbot Status new => resolved
2018-02-08 08:29 hgbot Resolution open => fixed
2018-02-08 08:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2615e116021b412fb4a91e0ef5109688a35ca39b [^]
2018-02-08 08:30 alostale Review Assigned To => caristu
2018-02-08 09:25 hgbot Checkin
2018-02-08 09:25 hgbot Note Added: 0102269
2018-02-12 16:42 caristu Note Added: 0102337
2018-02-12 16:42 caristu Status resolved => closed
2018-02-12 16:42 caristu Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102732
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102733


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker